<Project Sdk="Microsoft.NET.Sdk">
	
	<Import Project="..\..\common.props" />
	
	<PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
    <RootNamespace>JiShe.CollectBus</RootNamespace>
		<GenerateDocumentationFile>True</GenerateDocumentationFile>
	</PropertyGroup>

  <ItemGroup>
    <Compile Remove="PrepaymentSystems\**" />
    <EmbeddedResource Remove="PrepaymentSystems\**" />
    <None Remove="PrepaymentSystems\**" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="FodyWeavers.xml" />
    <None Remove="FodyWeavers.xsd" />
    <None Remove="JiShe.CollectBus.Domain.abppkg" />
  </ItemGroup>

  <ItemGroup> 
    <ProjectReference Include="..\..\shared\JiShe.CollectBus.Common\JiShe.CollectBus.Common.csproj" />
    <ProjectReference Include="..\..\shared\JiShe.CollectBus.Domain.Shared\JiShe.CollectBus.Domain.Shared.csproj" />
	</ItemGroup>

  <ItemGroup>
    <PackageReference Include="MongoDB.Bson" />
    <PackageReference Include="Volo.Abp.Emailing" />
    <PackageReference Include="Volo.Abp.Caching" />
    <PackageReference Include="Volo.Abp.BackgroundJobs.Domain" />
    <PackageReference Include="Volo.Abp.AuditLogging.Domain" />
		<PackageReference Include="JiShe.ServicePro.IoTDBManagement.Domain" />
		<PackageReference Include="JiShe.ServicePro.FreeRedisProvider" />
		<PackageReference Include="JiShe.ServicePro.FreeSqlProvider" />
	</ItemGroup>

</Project>
